[Unit]
Description=Hadoop DFS journalnode
After=syslog.target network.target remote-fs.target nss-lookup.target network-online.target
Requires=network-online.target

[Service]
User=hdfs
Group=hdfs
Type=forking
EnvironmentFile=/etc/sysconfig/hadoop-hdfs-journalnode
PermissionsStartOnly=true
ExecStartPre=/bin/install -d -m 0755 -o hdfs -g hdfs /var/run/hadoop-hdfs
ExecStart=/usr/lib/hadoop/sbin/hadoop-daemon.sh start journalnode
ExecStop=/usr/lib/hadoop/sbin/hadoop-daemon.sh stop journalnode
TimeoutStartSec=2min
Restart=on-failure

[Install]
WantedBy=multi-user.target
